local eventFrame = CreateFrame("Frame");
local QuickHealth = LibStub("LibQuickHealth-1.0");
local RL = AceLibrary("Roster-2.1");

eventFrame:SetScript("OnEvent", function(self)
	QuickHealth.RegisterCallback(self, "HealthUpdated", function(event, GUID, newHealth)
		for u in RL:IterateRoster(true) do
			local unitid = u.unitid;
			if(GUID == UnitGUID(unitid)) then
				GridStatusHealth:UpdateUnit(unitid);
			end
		end
	end);
end);

-- env changement code taken from interruptus
local proxyEnv = {
	UnitHealth = function(...) return QuickHealth.UnitHealth(QuickHealth, ...); end,
}

local _G = getfenv(0);
setmetatable(proxyEnv, { 
	__index    = _G,
	__newindex = function (t, k, v) _G[k] = v end,
})

setfenv(GridStatusHealth.UpdateUnit, proxyEnv);

eventFrame:RegisterEvent("PLAYER_LOGIN");